## xserver-xorg-video-intel-lts-trusty 2.99.910-0ubuntu1.3~precise1

=== debian/changelog ===
xserver-xorg-video-intel-lts-trusty (2:2.99.910-0ubuntu1.3~precise1) precise; urgency=medium

  * Backport to precise.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 21 Nov 2014 10:41:58 +0200

xserver-xorg-video-intel (2:2.99.910-0ubuntu1.3) trusty-proposed; urgency=medium

  [ Maarten Lankhorst ]
  * Backport support for rotation with SNA. (LP: #1386620)

  [ Timo Aaltonen ]
  * sna-use-vmask-in-3dstate-ps.diff: Fix GPU hang on BDW with xvideo.
    (LP: #1390016)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 06 Nov 2014 14:27:38 +0200

xserver-xorg-video-intel (2:2.99.910-0ubuntu1.2) trusty-proposed; urgency=medium

  [ Maarten Lankhorst ]
  * Fix black screen with SNA. (LP: #1365695)

  [ Timo Aaltonen ]
  * fix-no-backlight.diff: Don't let backlight switch off when cycling
    through display modes. (LP: #1373776)

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>   Mon, 20 Oct 2014 09:54:57 +0200

xserver-xorg-video-intel (2:2.99.910-0ubuntu1.1) trusty; urgency=medium

  * Backport fixes from upstream driver for fglrx and broadwell. (LP: #1359105)
  * Add more pci-ids for broadwell.
    - add-pci-ids-crv.diff
    - add-pci-ids-brw.diff
    - add-names-brw.diff
  * Enable basic UXA blit acceleration for broadwell.
    - uxa-bdw-0.diff
    - uxa-bdw-1.diff
    - uxa-bdw-2.diff
  * Fix a crash in FreeScreen with sna when used with fglrx.
    - sna-freescreen.diff

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>  Wed, 20 Aug 2014 10:48:06 +0200

xserver-xorg-video-intel (2:2.99.910-0ubuntu1) trusty; urgency=medium

  * Merge from Debian git. (LP: #1277143)

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Mon, 10 Feb 2014 14:03:01 +0200

xserver-xorg-video-intel (2:2.99.910-1) UNRELEASED; urgency=low

  * New upstream prerelease.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Tue, 01 Oct 2013 14:07:22 +0300

xserver-xorg-video-intel (2:2.99.909-0ubuntu2) trusty; urgency=medium

  * Refresh xmir patch.

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>  Wed, 05 Feb 2014 14:33:04 +0000

xserver-xorg-video-intel (2:2.99.909-0ubuntu1) trusty; urgency=medium

  [ Timo Aaltonen ]
  * Merge from Debian git. (LP: #1272338)

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>  Wed, 05 Feb 2014 14:14:16 +0000

xserver-xorg-video-intel (2:2.99.907-0ubuntu2) trusty; urgency=medium

  * Rebuild for xorg 1.15 abi.

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>  Wed, 05 Feb 2014 09:51:52 +0000

xserver-xorg-video-intel (2:2.99.907-0ubuntu1) trusty; urgency=low

  [ Timo Aaltonen ]
  * Merge from unreleased debian git. (LP: #1247785) (LP: #1231207)
  * Drop sna-sanitize-output-crtc.diff, upstream.

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>  Mon, 06 Jan 2014 14:48:05 +0100

xserver-xorg-video-intel (2:2.99.904-0ubuntu2) saucy-proposed; urgency=low

  * sna-sanitize-output-crtc.diff: Fix a crash when failing to probe the
    KMS configuration.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Fri, 11 Oct 2013 07:54:27 +0300

xserver-xorg-video-intel (2:2.99.904-0ubuntu1) saucy; urgency=low

  * Merge from unreleased debian git
    - new release candidate (LP: #1218839, #1157458, #1216252, #1232546)
  * xmir.patch: refreshed.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Wed, 09 Oct 2013 19:40:51 +0300

xserver-xorg-video-intel (2:2.99.903-0ubuntu1) saucy; urgency=low

  * Merge from unreleased debian git (LP: #1222203, #1224106, #1228677,
    #1233990, #1234027)
  * Drop patches that were from upstream.
  * source: Revert to source format 1.0.
  * xmir.patch: Refresh.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Tue, 01 Oct 2013 16:18:05 +0300

xserver-xorg-video-intel (2:2.21.15-1) unstable; urgency=low

  * New upstream release.
  * Drop patches Check-for-struct-sysinfo-as-well-as-sys-sysinfo.h.patch and
    Link-the-driver-against-pixman.patch, they were applied upstream.
  * Add myself to Uploaders to prevent lintian NMU warnings
  * Bump Standards-Version to 3.9.4 (no changes necessary)
  * Canonicalize Vcs-* fields
  * Explicitly set source format to '3.0 (quilt)'
  * Move homepage from description to homepage: field

 -- Michael Stapelberg <stapelberg@debian.org>  Wed, 28 Aug 2013 19:39:47 +0200

xserver-xorg-video-intel (2:2.21.14-4ubuntu4) saucy; urgency=low

  * XMir: Make a conservative guess as to whether the Mir buffer will be used
    for scanout, and take caching decisions appropriately. Fixes "cache dirt"
    transient horizontal-line misrendering with Mir bypass (LP: #1218735)
  * xmir.patch: Split monolithic concatenated patch out into a quilt patch
    series.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Thu, 05 Sep 2013 15:56:49 +1000

xserver-xorg-video-intel (2:2.21.14-4ubuntu3) saucy; urgency=low

  * Fix valgrind-enabling check
  * Update for new XMir API
  * Bump build-depend on xserver-xorg-dev to ensure new XMir API

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Thu, 29 Aug 2013 20:08:05 +1000

xserver-xorg-video-intel (2:2.21.14-4ubuntu2) saucy; urgency=low

  * Re-add changes to xmir.

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>  Thu, 15 Aug 2013 10:36:22 +0200

xserver-xorg-video-intel (2:2.21.14-4ubuntu1) saucy; urgency=low

  * New upstream release. (LP: #1204261, #1203273, #1172450)
  * Cherry-pick upstream patch to fix a crash when changing resolution. (LP: #1212344)
  * Merge against released debian-unstable.
  * Drop upstreamed patches.
  * Remaining changes:
    - Use SNA by default.
    - Add support for XMIR.

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>  Thu, 15 Aug 2013 10:07:19 +0200

xserver-xorg-video-intel (2:2.21.14-4) unstable; urgency=low

  * Link the driver against pixman to get correct dependency (closes: #719518).
    Thanks to Martin Perazzo for the report!

 -- Julien Cristau <jcristau@debian.org>  Mon, 12 Aug 2013 19:48:43 +0200

xserver-xorg-video-intel (2:2.21.14-3) unstable; urgency=low

  * Add patch to deal with missing 'struct sysinfo' in kfreebsd's
    <sys/sysinfo.h>.


