=== debian/control ===
Source: xserver-xorg-video-intel-lts-trusty
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Drew Parsons <dparsons@debian.org>, Cyril Brulebois <kibi@debian.org>
Build-Depends:
 debhelper (>= 8),
 dh-autoreconf,
 pkg-config,
# Depend on latest server to ensure XMir support
 xserver-xorg-dev-lts-trusty (>= 2:1.14.2.901-2ubuntu4~),
 x11proto-core-dev,
 x11proto-fonts-dev,
 x11proto-xinerama-dev,
 x11proto-randr-dev,
 x11proto-render-dev,
 x11proto-xext-dev,
 x11proto-video-dev,
 libx11-dev,
 libdrm-dev (>= 2.4.23),
 x11proto-xf86dri-dev,
 x11proto-gl-dev,
 libgl1-mesa-dev-lts-trusty | libgl-dev,
 libpciaccess-dev (>= 0.8.0+git20071002),
# following are only needed for xvmc:
 x11proto-dri2-dev,
 libxvmc-dev (>= 1:1.0.1),
 libxext-dev,
 libxfixes-dev,
 libx11-xcb-dev,
 libxcb-util0-dev,
 libxcb-dri2-0-dev,
# end xvmc
 libudev-dev [linux-any],
 dpkg-dev (>= 1.14.17),
 quilt (>= 0.46-7~),
 xutils-dev (>= 1:7.5+4),
 valgrind [amd64 armel armhf i386 mips mipsel powerpc s390x],
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/pkg-xorg/driver/xserver-xorg-video-intel
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-xorg/driver/xserver-xorg-video-intel.git
Homepage: http://www.x.org/

Package: xserver-xorg-video-intel-lts-trusty
Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${xviddriver:Depends},
Provides:
 xserver-xorg-video-intel, xorg-renamed-package, xorg-renamed-package-lts-trusty,
 ${xviddriver:Provides}
Description: X.Org X server -- Intel i8xx, i9xx display driver
 This package provides the driver for the Intel i8xx and i9xx family
 of chipsets, including i810, i815, i830, i845, i855, i865, i915, i945
 and i965 series chips.
 .
 This package also provides XvMC (XVideo Motion Compensation) drivers
 for i810/i815 and i9xx and newer chipsets.
 .
 This package is built from the X.org xf86-video-intel driver module.
Replaces: xserver-xorg-video-intel
Conflicts: xserver-xorg-video-intel, xorg-renamed-package-lts-quantal, xorg-renamed-package-lts-raring, xorg-renamed-package-lts-saucy,

Package: xserver-xorg-video-intel-lts-trusty-dbg
Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386
Depends:
 xserver-xorg-video-intel-lts-trusty (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Recommends:
 intel-gpu-tools,
Section: debug
Priority: extra
Description: X.Org X server -- Intel i8xx, i9xx display driver (debug symbols)
 This driver provides support for the Intel i8xx and i9xx family of chipsets,
 including i810, i815, i830, i845, i855, i865, i915, and i945 series chips.
 .
 This package provides debugging symbols for this Xorg X driver.
Replaces: xserver-xorg-video-intel-dbg
Provides: xserver-xorg-video-intel-dbg, xorg-renamed-package, xorg-renamed-package-lts-trusty
Conflicts: xserver-xorg-video-intel-dbg, xorg-renamed-package-lts-quantal, xorg-renamed-package-lts-raring, xorg-renamed-package-lts-saucy,
