=== debian/rules ===
#!/usr/bin/make -f

SOURCE_NAME    := $(shell dpkg-parsechangelog | awk -F': ' '/^Source: / {print $$2}')
SOURCE_VERSION := $(shell dpkg-parsechangelog | awk -F': ' '/^Version: / {print $$2}')
BUILDER        := $(shell dpkg-parsechangelog | awk -F': ' '/^Maintainer: / {print $$2}')

export CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
export CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

ifeq ($(DEB_HOST_ARCH_OS), linux)
valgrind = --enable-valgrind
else
valgrind = --disable-valgrind
endif

# Enable SNA, pass builderstring:
override_dh_auto_configure:
	dh_auto_configure -- \
	    --enable-sna \
	    --enable-uxa \
	    --with-default-accel=sna \
	    --with-builderstring="$(SOURCE_NAME) $(SOURCE_VERSION) ($(BUILDER))" \
	    --disable-silent-rules \
	    $(valgrind)

# Install in debian/tmp to retain control through dh_install:
override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

# Kill *.la files, libxvmc symlinks, and forget no-one:
override_dh_install:
	find debian/tmp -name '*.la' -delete
	rm -f debian/tmp/usr/lib/libI810XvMC.so
	rm -f debian/tmp/usr/lib/libIntelXvMC.so
	dh_install --fail-missing

# Debug package:
override_dh_strip:
	dh_strip --dbg-package=xserver-xorg-video-intel-lts-trusty-dbg

# That's a plugin, use appropriate warning level:
override_dh_shlibdeps:
	dh_shlibdeps -- --warnings=6

override_dh_installchangelogs:
	dh_installchangelogs debian/upstream.changelog

%:
	dh $@ --with quilt,autoreconf,xsf --builddirectory=build/

# Snapshots should only target experimental:
generate-snapshot: UPSTREAM_VERSION = $(shell echo $(SOURCE_VERSION) | sed 's/^[0-9]*://;s/-.*$$//')
generate-snapshot: UPSTREAM_BRANCH ?= upstream-experimental
generate-snapshot: ORIG             = ../$(SOURCE_NAME)_$(UPSTREAM_VERSION).orig.tar.gz
generate-snapshot:
	if [ -f $(ORIG) ]; then \
	  echo "$(ORIG) already exists, stopping"; exit 1; \
	fi
	git archive --format=tar --prefix=$(SOURCE_NAME)-$(UPSTREAM_VERSION)/ $(UPSTREAM_BRANCH) \
	  | gzip -9 > $(ORIG)
	pristine-tar commit $(ORIG) $(UPSTREAM_BRANCH)
